net.minecraft.entity.item

## Class EntityXPOrb

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.entity.item.EntityXPOrb

-     public class EntityXPOrb
      extends Entity

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `field_70532_c`
    `int` | `xpColor` A constantly increasing value that RenderXPOrb uses to control the colour shifting (Green / yellow)
    `int` | `xpOrbAge` The age of the XP orb in ticks.

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, cloakUrl, dimension, distanceWalkedModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, field_82151_R, field_98038_p, fireResistance, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, skinUrl, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityXPOrb(World par1World)`
    `EntityXPOrb(World par1World, double par2, double par4, double par6, int par8)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `attackEntityFrom(DamageSource par1DamageSource, int par2)` Called when the entity is attacked.
    `boolean` | `canAttackWithItem()` If returns false, the item will not inflict any damage against entities.
    `int` | `getBrightnessForRender(float par1)`
    `int` | `getTextureByXP()`
    `static int` | `getXPSplit(int par0)` Get xp split rate (Is called until the xp drop code in EntityLiving.onEntityUpdate is complete)
    `int` | `getXpValue()` Returns the XP value of this XP orb.
    `boolean` | `handleWaterMovement()` Returns if this entity is in water and will end up adding the waters velocity to the entity
    `void` | `onCollideWithPlayer(EntityPlayer par1EntityPlayer)` Called by a player entity when they collide with an entity
    `void` | `onUpdate()` Called to update the entity's position/logic.
    `void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to read subclass entity data from NBT.
    `void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to write subclass entity data to NBT.

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityID, addToPlayerScore, addVelocity, applyEntityCollision, canBeCollidedWith, canBePushed, canRenderOnFire, copyDataFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, func_82143_as, func_82146_a, func_82149_j, func_85029_a, func_85031_j, func_96090_ax, func_96091_a, func_96092_aw, func_98034_c, func_98035_c, getAir, getBoundingBox, getBrightness, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityName, getExtendedProperties, getEyeHeight, getHasActivePotion, getLastActiveItems, getLookVec, getMaxInPortalTime, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getRotationYawHead, getShadowSize, getTeleportDirection, getTexture, getYOffset, handleHealthUpdate, handleLavaMovement, hashCode, interact, isBurning, isCreatureType, isEating, isEntityAlive, isEntityEqual, isEntityInsideOpaqueBlock, isEntityInvulnerable, isImmuneToFire, isInRangeToRenderDist, isInRangeToRenderVec3D, isInsideOfMaterial, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, onEntityUpdate, onKillEntity, onStruckByLightning, performHurtAnimation, playSound, readFromNBT, registerExtendedProperties, resetEntityId, setAir, setAngles, setCurrentItemOrArmor, setDead, setEating, setFire, setHasActivePotion, setInPortal, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setPositionAndRotation2, setRotationYawHead, setSneaking, setSprinting, setVelocity, setWorld, shouldRenderInPass, shouldRiderSit, toString, travelToDimension, unmountEntity, updateCloak, updateRidden, updateRiderPosition, writeToNBT`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### xpColor

          public int xpColor

      A constantly increasing value that RenderXPOrb uses to control the colour shifting (Green / yellow)

    - #### xpOrbAge

          public int xpOrbAge

      The age of the XP orb in ticks.

    - #### field_70532_c

          public int field_70532_c

  - ### Constructor Detail

    - #### EntityXPOrb

          public EntityXPOrb(World par1World,
                     double par2,
                     double par4,
                     double par6,
                     int par8)

    - #### EntityXPOrb

          public EntityXPOrb(World par1World)

  - ### Method Detail

    - #### getBrightnessForRender

          public int getBrightnessForRender(float par1)

      Overrides:
        `getBrightnessForRender` in class `Entity`

    - #### onUpdate

          public void onUpdate()

      Called to update the entity's position/logic.
      Overrides:
        `onUpdate` in class `Entity`

    - #### handleWaterMovement

          public boolean handleWaterMovement()

      Returns if this entity is in water and will end up adding the waters velocity to the entity
      Overrides:
        `handleWaterMovement` in class `Entity`

    - #### attackEntityFrom

          public boolean attackEntityFrom(DamageSource par1DamageSource,
                                 int par2)

      Called when the entity is attacked.
      Overrides:
        `attackEntityFrom` in class `Entity`

    - #### writeEntityToNBT

          public void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

      (abstract) Protected helper method to write subclass entity data to NBT.

    - #### readEntityFromNBT

          public void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

      (abstract) Protected helper method to read subclass entity data from NBT.

    - #### onCollideWithPlayer

          public void onCollideWithPlayer(EntityPlayer par1EntityPlayer)

      Called by a player entity when they collide with an entity
      Overrides:
        `onCollideWithPlayer` in class `Entity`

    - #### getXpValue

          public int getXpValue()

      Returns the XP value of this XP orb.

    - #### getTextureByXP

          public int getTextureByXP()

    - #### getXPSplit

          public static int getXPSplit(int par0)

      Get xp split rate (Is called until the xp drop code in EntityLiving.onEntityUpdate is complete)

    - #### canAttackWithItem

          public boolean canAttackWithItem()

      If returns false, the item will not inflict any damage against entities.
      Overrides:
        `canAttackWithItem` in class `Entity`